Author Topic: Unable to upgrade from 1.2.6 to 1.2.7  (Read 2981 times)

Offline iron

  • Newbie
  • *
  • Posts: 18
  • Karma: +3/-0
    • View Profile
Unable to upgrade from 1.2.6 to 1.2.7
« on: May 25, 2016, 02:37:58 AM »
Hello guys!
I trying to upgrade, but get this message:
Error: Cannot locate file package.xml inside of extracted extension. Possibly extension was not extracted correctly. Check log for errors
 Stuck? Not a problem. You can install extensions another way. Check this help link

Log file starts with this:
2016-05-25 1:20:12 - warning: AbanteCart core v.1.2.6 file_exists() expects parameter 1 to be a valid path, string given in <b>/home/.../AbanteCart/core/lib/targz.php</b> on line <b>78</b>
2016-05-25 1:20:12 - warning: AbanteCart core v.1.2.6 mkdir() expects parameter 1 to be a valid path, string given in <b>/home/.../AbanteCart/core/lib/targz.php</b> on line <b>79</b>
Then repeats many time this:
2016-05-25 1:20:12 - warning: AbanteCart core v.1.2.6 chmod() expects parameter 1 to be a valid path, string given in <b>/home/.../AbanteCart/core/lib/targz.php</b> on line <b>94</b>
2016-05-25 1:20:12 - warning: AbanteCart core v.1.2.6 file_put_contents() expects parameter 1 to be a valid path, string given in <b>/home/.../AbanteCart/core/lib/targz.php</b> on line <b>89</b>
And this last strings:
2016-05-25 1:20:56 - App Error: AbanteCart core v.1.2.6 Error: Cannot to find package directory after unpacking archive. in /home/.../AbanteCart/admin/controller/pages/tool/package_installer.php on line 501
2016-05-25 1:20:56 - warning: AbanteCart core v.1.2.6 file_get_contents(/home/.../AbanteCart/admin/system/temp/install//package.xml): failed to open stream: No such file or directory in <b>/home/.../AbanteCart/admin/controller/pages/tool/package_installer.php</b> on line <b>513</b>

Please help to solve it.

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4181
  • Karma: +202/-0
    • View Profile
Re: Unable to upgrade from 1.2.6 to 1.2.7
« Reply #1 on: May 25, 2016, 07:59:38 AM »
Hello.

You can try manual upgrade http://docs.abantecart.com/pages/upgrade/manual.html

Do not forgot to create backup Before upgrade  ;)
“Chuck Norris is so amazing.”
― Mother Teresa

Offline iron

  • Newbie
  • *
  • Posts: 18
  • Karma: +3/-0
    • View Profile
Re: Unable to upgrade from 1.2.6 to 1.2.7
« Reply #2 on: May 28, 2016, 03:19:14 AM »
Hello.

You can try manual upgrade http://docs.abantecart.com/pages/upgrade/manual.html

Do not forgot to create backup Before upgrade  ;)

Thank you, Basara!

 

Powered by SMFPacks Social Login Mod